コンテンツへスキップ

Elevenlabs Music

統合

モデルID elevenlabs/music
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/elevenlabs/music?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $1.80 1,800 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
ElevenLabs テキストから音楽 #music#text-to-music

プロンプトまたは構造化された作曲プランから音楽を生成。インストゥルメンタルにも対応

ElevenLabs · 音声

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

88 / 4100

希望する音楽のテキスト説明。

任意の曲の長さ(ミリ秒)。範囲は3000 ms~600000 msで、プロンプト使用時のみ適用されます。省略すると、モデルがプロンプトから長さを決定します。

詳細設定 output_format · force_instrumental · respect_sections_durations · composition_plan
デフォルト mp3_44100_128

ティア要件がある音声出力形式。192 kbps MP3にはCreatorティア以上、44.1 kHz PCMにはProティア以上が必要です。値は`codec_sample_rate_bitrate`に従います。たとえば`mp3_22050_32`は22.05 kHzのMP3、32 kbsを指定します。Twilioの音声入力ではμ-lawが一般的に使用され、この形式はmu-lawとも表記され、u-lawと近似されることもあります。

音楽の構成を定義するプラン。

POST /run/elevenlabs/music?wait=20 見積もり → $1.80
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/elevenlabs/music?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Elevenlabs Musicについて

最大4100文字のテキスト`prompt`、または詳細な`composition_plan`から音楽を作曲します。プロンプト使用時、`music_length_ms`は3000~600000ミリ秒で、`force_instrumental`によりボーカルなしを保証できます。`respect_sections_durations`はプランの各セクションの時間をどの程度厳密に適用するかを制御します。`output_format`では多くのコーデックとサンプルレートを選択できます。

パラメータ

名前型 デフォルト許可される値 説明
prompt任意
型string | null
≤ 4,100文字
希望する音楽のテキスト説明。
composition_plan任意
型object
音楽の構成を定義するプラン。
composition_plan.positive_global_styles必須
型string[]
曲全体に含めるスタイル。
composition_plan.negative_global_styles必須
型string[]
曲全体から除外するスタイル。
composition_plan.sections必須
型object[]
曲を構成するセクション。
composition_plan.sections[].section_name必須
型string
1 – 100 characters
セクション名。長さは1~100文字です。
composition_plan.sections[].positive_local_styles必須
型string[]
このセクションに含めるスタイル。
composition_plan.sections[].negative_local_styles必須
型string[]
このセクションから除外するスタイル。
composition_plan.sections[].duration_ms必須
型integer
3,000 – 120,000
セクションの長さ(ミリ秒)。範囲は3000 ms~120000 msです。
composition_plan.sections[].lines必須
型string[]
このセクションの歌詞。1行あたり200文字までです。
music_length_ms任意
型integer | null
3,000 – 600,000
任意の曲の長さ(ミリ秒)。範囲は3000 ms~600000 msで、プロンプト使用時のみ適用されます。省略すると、モデルがプロンプトから長さを決定します。
force_instrumental任意
型boolean
デフォルトfalse
インストゥルメンタルのみの制御。プロンプト使用時のみ利用できます。trueにするとインストゥルメンタル出力が保証され、falseの場合はプロンプトに応じてインストゥルメンタルまたは非インストゥルメンタルの音楽が生成されます。
respect_sections_durations任意
型boolean
デフォルトtrue
`composition_plan`のセクション時間を強制する設定。このプラン以外では効果がありません。Falseの場合、モデルは各セクションの長さを変更でき、プラン全体の曲の長さを変えずに品質とレイテンシが一般的に改善されます。trueの場合は各セクションの`duration_ms`を正確に適用します。
output_format任意
型enum
デフォルトmp3_44100_128
mp3_22050_32mp3_44100_32mp3_44100_64mp3_44100_96mp3_44100_128mp3_44100_192pcm_8000pcm_16000pcm_22050pcm_24000pcm_44100pcm_48000ulaw_8000alaw_8000opus_48000_32opus_48000_64
さらに3件opus_48000_96opus_48000_128opus_48000_192
ティア要件がある音声出力形式。192 kbps MP3にはCreatorティア以上、44.1 kHz PCMにはProティア以上が必要です。値は`codec_sample_rate_bitrate`に従います。たとえば`mp3_22050_32`は22.05 kHzのMP3、32 kbsを指定します。Twilioの音声入力ではμ-lawが一般的に使用され、この形式はmu-lawとも表記され、u-lawと近似されることもあります。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "elevenlabs/music",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1800,
    "usd": "1.80",
    "charged": 1800,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
audio
object {url, content_type, file_name, file_size}MP3音声としてエンコードされた生成音楽ファイル。

その他のモデル: テキストから音楽

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/elevenlabs/music.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt